Subject: Re: [PATCH 2/2] submodule: Add 'quiet' option in subcommand 'set-branch'

From: Shourya Shukla <[email-masked]>
Date: Sat, 16 May 2020 16:10:15 +0530

On 16/05 04:56, Denton Liu wrote:
> I would argue that it's unnecessary to print anything. If a user
> provides an invalid option, then an error message will be printed. If no
> error is provided, then a user would assume that the command succeeded.
> Take, for example, `git submodule set-url` which behaves similarly. It's
> silent on success. Printing on success would just be noise.

Okay, I have dropped the commit. When exactly is printing on success not
deemed as noise?